Summary: OP5 Monitor configuration for SNMP daemon
Name: op5-snmpd-config
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: System Environment/Daemons
License: MIT
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: net-snmp
%systemd_requires

%description
OP5 Monitor configuration for SNMP daemon

%prep
%setup -q

%build

%install
%{__install} -D -m 644 snmpd.conf %buildroot%{_datadir}/snmp/snmpd.conf

%files
%{_datadir}/snmp/snmpd.conf

%post
systemctl try-restart snmpd.service &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
	# Restart snmpd after uninstallation but not upgrade ("$1" is 1)
	systemctl try-restart snmpd || :
fi

%clean
rm --recursive --force %buildroot
